Portal (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.Portal class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Class Portal

    java.lang.Object
      org.hyperic.hq.ui.Portal

    public class Portal

extends java.lang.Object

A class representing an individual page layout.

Constructor Summary
`Portal()`

Method Summary
`void` | `addPortlet(Portlet portlet, int column)` adds a single portlet to the column number provided
`void` | `addPortlets(java.util.List definitions)` Attach a list of portlets to the first column of the portal.
`void` | `addPortlets(java.util.List definitions, int column)` Attach a list of portlets to the indicated column of the portal.
`void` | `addPortletsFromString(java.lang.String stringList, int column)`
`static Portal` | `createPortal()` Create and return a new instance.
`static Portal` | `createPortal(java.lang.String portalName, java.lang.String portletName)` Create and return a new named instance with a portlet in the first column.
`boolean` | `doWorkflow()` Participate in workflow in the following circumstances: dialog isWorkflowPortal participate 0 0 1 0 1 0 1 0 0 1 1 1
`int` | `getColumns()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`java.util.List` | `getPortlets()`
`java.util.Map` | `getWorkflowParams()`
`boolean` | `isDialog()`
`boolean` | `isWorkflowPortal()` Getter for property workflowPortal.
`void` | `setColumns(int columns)`
`void` | `setColumns(java.lang.String numCols)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDialog(boolean dialog)`
`void` | `setDialog(java.lang.String dialog)`
`void` | `setName(java.lang.String name)`
`void` | `setPortlets(java.util.List portlets)`
`void` | `setWorkflowParams(java.util.Map m)`
`void` | `setWorkflowPortal(boolean workflowPortal)`
`void` | `setWorkflowPortal(java.lang.String workflowPortal)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Portal

    public Portal()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getColumns

    public int getColumns()

### setColumns

    public void setColumns(int columns)

### setColumns

    public void setColumns(java.lang.String numCols)

### getPortlets

    public java.util.List getPortlets()

### setPortlets

    public void setPortlets(java.util.List portlets)

### addPortlet

    public void addPortlet(Portlet portlet,
                           int column)

  adds a single portlet to the column number provided

### addPortlets

    public void addPortlets(java.util.List definitions)

  Attach a list of portlets to the first column of the portal.

  Parameters:
    `definitions` - the `List` of either `Portlet` instances or `String` instances representing portlet definitions

### addPortlets

    public void addPortlets(java.util.List definitions,
                            int column)

  Attach a list of portlets to the indicated column of the portal.

  Parameters:
    `definitions` - the `List` of either `Portlet` instances or `String` instances representing portlet definitions
    `column` - the column (1-based) to which the portlets are added

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isDialog

    public boolean isDialog()

### setDialog

    public void setDialog(boolean dialog)

### setDialog

    public void setDialog(java.lang.String dialog)

### isWorkflowPortal

    public boolean isWorkflowPortal()

  Getter for property workflowPortal. If you wish to explictly set this screen as part of a workflow, set this to true in your controller action.

  Returns:
    Value of property workflowPortal.

### setWorkflowPortal

    public void setWorkflowPortal(boolean workflowPortal)

### setWorkflowPortal

    public void setWorkflowPortal(java.lang.String workflowPortal)

### getWorkflowParams

    public java.util.Map getWorkflowParams()

### setWorkflowParams

    public void setWorkflowParams(java.util.Map m)

### createPortal

    public static Portal createPortal()

  Create and return a new instance.

### createPortal

    public static Portal createPortal(java.lang.String portalName,
                                      java.lang.String portletName)

  Create and return a new named instance with a portlet in the first column.

  Parameters:
    `portalName` - the portal name
    `portletName` - the portlet definition name

### addPortletsFromString

    public void addPortletsFromString(java.lang.String stringList,
                                      int column)

### doWorkflow

    public boolean doWorkflow()

  Participate in workflow in the following circumstances: dialog isWorkflowPortal participate 0 0 1 0 1 0 1 0 0 1 1 1

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.